<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html><head><meta http-equiv="Content-Type" content="text/html;charset=iso-8859-1">
<title>rlDigMonPeriodicConf_t Struct Reference</title>
<link href="doxygen.css" rel="stylesheet" type="text/css">
<link href="tabs.css" rel="stylesheet" type="text/css">
</head><body>
<table width=100%>
<tr>
  <td bgcolor="black" width="1"><a href="http://www.ti.com"><img border=0 src="../../tilogo.gif"></a></td>
  <td bgcolor="red"><img src="../../titagline.gif"></td>
</tr>
</table>
<!-- Generated by Doxygen 1.8.11 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li class="current"><a href="annotated.html"><span>Data&#160;Structures</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Data&#160;Structures</span></a></li>
      <li><a href="functions.html"><span>Data&#160;Fields</span></a></li>
    </ul>
  </div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-attribs">Data Fields</a>  </div>
  <div class="headertitle">
<div class="title">rlDigMonPeriodicConf_t Struct Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p>Digital monitoring latent fault reporting configuration.  
 <a href="structrl_dig_mon_periodic_conf__t.html#details">More...</a></p>

<p><code>#include &lt;control/mmwavelink/include/rl_monitoring.h&gt;</code></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-attribs"></a>
Data Fields</h2></td></tr>
<tr class="memitem:a521eef3349a874609df217012f19e30d"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a521eef3349a874609df217012f19e30d"></a>
rlUInt8_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structrl_dig_mon_periodic_conf__t.html#a521eef3349a874609df217012f19e30d">reportMode</a></td></tr>
<tr class="memdesc:a521eef3349a874609df217012f19e30d"><td class="mdescLeft">&#160;</td><td class="mdescRight">Value Definition <br />
 0 Report is sent every monitoring period <br />
 1 Report is sent only on a failure <br />
 2 RESERVED <br />
. <br /></td></tr>
<tr class="separator:a521eef3349a874609df217012f19e30d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a65856676eed44e3bdc1ae61581c6739f"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a65856676eed44e3bdc1ae61581c6739f"></a>
rlUInt8_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structrl_dig_mon_periodic_conf__t.html#a65856676eed44e3bdc1ae61581c6739f">reserved0</a></td></tr>
<tr class="memdesc:a65856676eed44e3bdc1ae61581c6739f"><td class="mdescLeft">&#160;</td><td class="mdescRight">Reserved for Future use. <br /></td></tr>
<tr class="separator:a65856676eed44e3bdc1ae61581c6739f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a84d39bf6b1b768d78e791dbbbb27285c"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a84d39bf6b1b768d78e791dbbbb27285c"></a>
rlUInt16_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structrl_dig_mon_periodic_conf__t.html#a84d39bf6b1b768d78e791dbbbb27285c">reserved1</a></td></tr>
<tr class="memdesc:a84d39bf6b1b768d78e791dbbbb27285c"><td class="mdescLeft">&#160;</td><td class="mdescRight">Reserved for Future use. <br /></td></tr>
<tr class="separator:a84d39bf6b1b768d78e791dbbbb27285c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a09c6c1595ab2880c4660af72654bbf5d"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a09c6c1595ab2880c4660af72654bbf5d"></a>
rlUInt32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structrl_dig_mon_periodic_conf__t.html#a09c6c1595ab2880c4660af72654bbf5d">periodicEnableMask</a></td></tr>
<tr class="memdesc:a09c6c1595ab2880c4660af72654bbf5d"><td class="mdescLeft">&#160;</td><td class="mdescRight">Bit Monitoring <br />
 0 PERIODIC_CONFG_REGISTER_READ_EN <br />
 1 ESM_MONITORING_EN <br />
 2 DFE_STC_EN <br />
 3 FRAME_TIMING_MONITORING_EN <br />
 31:4 RESERVED <br />
. <br /></td></tr>
<tr class="separator:a09c6c1595ab2880c4660af72654bbf5d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1d4da7f2a1d6aa5ae7afc9a8a45de2eb"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a1d4da7f2a1d6aa5ae7afc9a8a45de2eb"></a>
rlUInt32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structrl_dig_mon_periodic_conf__t.html#a1d4da7f2a1d6aa5ae7afc9a8a45de2eb">reserved2</a></td></tr>
<tr class="memdesc:a1d4da7f2a1d6aa5ae7afc9a8a45de2eb"><td class="mdescLeft">&#160;</td><td class="mdescRight">Reserved for Future use. <br /></td></tr>
<tr class="separator:a1d4da7f2a1d6aa5ae7afc9a8a45de2eb"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p>Digital monitoring latent fault reporting configuration. </p>
</div><hr/>The documentation for this struct was generated from the following file:<ul>
<li>control/mmwavelink/include/rl_monitoring.h</li>
</ul>
</div><!-- contents -->
<hr size="1"><small>
Copyright  2018, Texas Instruments Incorporated</small>
</body>
</html>
